Debian Bug report logs - #490702
ITP: pencil2d -- Traditional animation/drawing software

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Janne Jokitalo <astraljava@kapsi.fi>

Date: Sun, 13 Jul 2008 18:57:01 UTC

Owned by: Mattia Rizzolo <mattia@mapreri.org>

Severity: wishlist

Merged with 562848, 737154

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Janne Jokitalo <astraljava@kapsi.fi>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Janne Jokitalo <astraljava@kapsi.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 13 Jul 2008 21:54:06 +0300
Package: wnpp
Severity: wishlist
Owner: Janne Jokitalo <astraljava@kapsi.fi>


* Package name    : pencil
  Version         : 0.4.4b
  Upstream Author : Pascal Naidon <naidon@yahoo.fr> Patrick Corrieri <patrick@latahpixel.com>
* URL             : http://www.les-stooges.org/pascal/pencil/
* License         : GPL
  Programming Lang: C++
  Description     : Traditional animation/drawing software

Pencil is an animation/drawing software for Mac OS X, Windows, and Linux. It lets you create 
traditional hand-drawn animation (cartoon) using both bitmap and vector graphics. Animations can be 
exported as Flash animations. Pencil is free and open source.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.25-2-486
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>. Full text and rfc822 format available.

Message #10 received at 490702@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Janne Jokitalo <astraljava@kapsi.fi>, 490702@bugs.debian.org
Cc: debian-devel@lists.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 13 Jul 2008 21:25:55 +0200
[Message part 1 (text/plain, inline)]
Janne Jokitalo <astraljava@kapsi.fi> (13/07/2008):
> * Package name    : pencil
>   Version         : 0.4.4b
>   Upstream Author : Pascal Naidon <naidon@yahoo.fr> Patrick Corrieri <patrick@latahpixel.com>
> * URL             : http://www.les-stooges.org/pascal/pencil/
> * License         : GPL
>   Programming Lang: C++
>   Description     : Traditional animation/drawing software

Hi Janne,

> Pencil is an animation/drawing software for Mac OS X, Windows, and
> Linux.

unsure the platforms are relevant in the Debian long description of the
package.

> It lets you create traditional hand-drawn animation (cartoon) using
> both bitmap and vector graphics. Animations can be exported as Flash
> animations.

> Pencil is free and open source.

unsure it's needed in the description of a package belonging to main.

Besides that, I'd be happy to help you with this package if you need (it
looks like it might be your first package), be it for comaintenance or
for sponsorship.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Janne Jokitalo <astraljava@kapsi.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 490702@bugs.debian.org (full text, mbox):

From: Janne Jokitalo <astraljava@kapsi.fi>
To: Cyril Brulebois <kibi@debian.org>
Cc: 490702@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 13 Jul 2008 22:38:11 +0300
On Sun, Jul 13, 2008 at 09:25:55PM +0200, Cyril Brulebois wrote:
> Hi Janne,

Hello Cyril!

> > Pencil is an animation/drawing software for Mac OS X, Windows, and
> > Linux.
> 
> unsure the platforms are relevant in the Debian long description of the
> package.

Yes of course, it got copied from the homepage of the project directly. I will
remove unrelated platforms.

> > Pencil is free and open source.
> 
> unsure it's needed in the description of a package belonging to main.

That is true also. Will get rid of it as well.

> Besides that, I'd be happy to help you with this package if you need (it
> looks like it might be your first package), be it for comaintenance or
> for sponsorship.

I wouldn't mind that at all, and you are correct that it would be my first
package. I have uploaded a candidate into REVU for including it in Ubuntu, so if
you don't mind, I would like to upload a candidate for Debian after one round of
quality assurance. :) Does that suit your process?

Thank you very much for a quick response and the generous offer! It made me very
glad to see a sponsoring offer already! :)


Best regards,

Jaska


-- 
Janne Jokitalo
<mailto:astraljava@kapsi.fi>
astraljava on irc.debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>. Full text and rfc822 format available.

Message #20 received at 490702@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Janne Jokitalo <astraljava@kapsi.fi>
Cc: 490702@bugs.debian.org, debian-devel@lists.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 13 Jul 2008 22:46:16 +0200
[Message part 1 (text/plain, inline)]
Janne Jokitalo <astraljava@kapsi.fi> (13/07/2008):
> I wouldn't mind that at all, and you are correct that it would be my
> first package. I have uploaded a candidate into REVU for including it
> in Ubuntu, so if you don't mind, I would like to upload a candidate
> for Debian after one round of quality assurance. :) Does that suit
> your process?

Sure. As said on IRC, uploads of the source package to any server (be
it mentors.debian.net, your public_html space on alioth, or others) is
OK. We can also drop d-d@ from Cc for further communication. :)

I subscribed to your ITP bug, so I shouldn't miss anything anyway.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Luca Bruno <lucab@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>. Full text and rfc822 format available.

Message #25 received at 490702@bugs.debian.org (full text, mbox):

From: Luca Bruno <lucab@debian.org>
To: 490702@bugs.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 31 Aug 2008 13:57:19 +0200
[Message part 1 (text/plain, inline)]
Almost two months later, it would be good to see at least the
preliminary package uploaded somewhere.
I've already seen some users requesting it, while this ITP being silent.

Please put your package somewhere (maybe on mentors.d.n, as Kibi
already said) so that it can be tested.

Ciao, Luca

-- 
 .''`.  ** Debian GNU/Linux **  | Luca Bruno (kaeso)
: :'  :   The Universal O.S.    | lucab (AT) debian.org
`. `'`  			| GPG Key ID: 3BFB9FB3
  `-     http://www.debian.org 	| Debian GNU/Linux Developer
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#490702; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Janne Jokitalo <astraljava@kapsi.fi>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 490702@bugs.debian.org (full text, mbox):

From: Janne Jokitalo <astraljava@kapsi.fi>
To: 490702@bugs.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Sun, 31 Aug 2008 18:23:19 +0300
On Sun, Aug 31, 2008 at 01:57:19PM +0200, Luca Bruno wrote:
> Almost two months later, it would be good to see at least the
> preliminary package uploaded somewhere.

Yes of course, apologies for the delay (I'm in the middle of building a house,
hence the current void of time able to spend on packaging).

> I've already seen some users requesting it, while this ITP being silent.

Oh really? Interesting, thanks for the feedback.

> Please put your package somewhere (maybe on mentors.d.n, as Kibi
> already said) so that it can be tested.

I have had some commenting on the initial package on REVU, as soon as I fix
those I will upload to mentors. Hopefully tomorrow night.

Thanks again for rushing me, sounds promising
that the package sparks up interest. :)


Cheers,

-- 
Jaska





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. (Wed, 19 Nov 2008 09:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gürkan Sengün <gurkan@phys.ethz.ch>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>. (Wed, 19 Nov 2008 09:33:03 GMT) Full text and rfc822 format available.

Message #35 received at 490702@bugs.debian.org (full text, mbox):

From: Gürkan Sengün <gurkan@phys.ethz.ch>
To: 490702@bugs.debian.org
Subject: ITP: pencil -- Traditional animation/drawing software
Date: Wed, 19 Nov 2008 10:30:19 +0100
hello,

so how's it progressing?

yours,
gurkan




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. (Sat, 05 Dec 2009 07:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Lee <andrew@linux.org.tw>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Janne Jokitalo <astraljava@kapsi.fi>. (Sat, 05 Dec 2009 07:57:03 GMT) Full text and rfc822 format available.

Message #40 received at 490702@bugs.debian.org (full text, mbox):

From: Andrew Lee <andrew@linux.org.tw>
To: 490702@bugs.debian.org
Subject: ITP: pencil -- Traditional animation/drawing software
Date: Sat, 05 Dec 2009 15:51:55 +0800
Hi Janne,

Would you mind to update the progress to us.
So that we can help you in case if you needed.

Kindly regards,

-Andrew




Forcibly Merged 490702 562848. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Tue, 29 Dec 2009 01:57:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#490702; Package wnpp. (Mon, 08 Feb 2010 13:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Janne Jokitalo <astraljava@kapsi.fi>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 08 Feb 2010 13:42:06 GMT) Full text and rfc822 format available.

Message #47 received at 490702@bugs.debian.org (full text, mbox):

From: Janne Jokitalo <astraljava@kapsi.fi>
To: Andrew Lee <andrew@linux.org.tw>, 490702@bugs.debian.org
Subject: Re: Bug#490702: ITP: pencil -- Traditional animation/drawing software
Date: Mon, 8 Feb 2010 15:03:44 +0200
On Sat, Dec 05, 2009 at 03:51:55PM +0800, Andrew Lee wrote:
> Hi Janne,
> 
> Would you mind to update the progress to us.
> So that we can help you in case if you needed.

Hi Andrew,

sorry for my absence. I've been swamped with other things, mainly building a
house, so my hobbies have been pushed aside.

I'll check back again in a few months, if Pencil still isn't packaged by then,
I'll be happy to continue with the process. Meanwhile, I just don't have any
time.

Thanks for being patient with me.


Best regards,

Jaska





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. (Fri, 08 Oct 2010 14:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ernesto Domato <edomat@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Janne Jokitalo <astraljava@kapsi.fi>. (Fri, 08 Oct 2010 14:33:03 GMT) Full text and rfc822 format available.

Message #52 received at 490702@bugs.debian.org (full text, mbox):

From: Ernesto Domato <edomat@gmail.com>
To: 490702@bugs.debian.org
Subject: package already on Ubuntu
Date: Fri, 8 Oct 2010 11:29:22 -0300
Hi, I just wanted to let everyone that follow this ITP that a pencil
package does exists on Ubuntu since some time ago.

Thanks.
Ernesto.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702; Package wnpp. (Wed, 27 Jul 2011 16:28:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Janne Jokitalo <astraljava@kapsi.fi>. (Wed, 27 Jul 2011 16:28:12 GMT) Full text and rfc822 format available.

Message #57 received at 490702@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@debian.org>
To: 490702@bugs.debian.org
Cc: control@bugs.debian.org
Subject: pencil: changing back from ITP to RFP
Date: Wed, 27 Jul 2011 18:02:32 +0200
retitle 490702 RFP: pencil -- Traditional animation/drawing software
noowner 490702
thanks

Hi,

This is an automatic email to change the status of pencil back from ITP
(Intent to Package) to RFP (Request for Package), because this bug hasn't seen
any activity during the last 6 months.

If you are still interested in adopting pencil, please send a mail to
<control@bugs.debian.org> with:

 retitle 490702 ITP: pencil -- Traditional animation/drawing software
 owner 490702 !
 thanks

However, it is not recommended to keep ITP for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
packaging that software. It is also a good idea to document your progress on
this ITP from time to time, by mailing <490702@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Lucas, for the QA team <debian-qa@lists.debian.org>




Changed Bug title to 'RFP: pencil -- Traditional animation/drawing software' from 'ITP: pencil -- Traditional animation/drawing software' Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:32 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Janne Jokitalo <astraljava@kapsi.fi>. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Wed, 27 Jul 2011 16:46:32 GMT) Full text and rfc822 format available.

Merged 490702 562848 Request was from Mattia Rizzolo <mattia@mapreri.org> to control@bugs.debian.org. (Thu, 30 Jan 2014 17:15:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#490702; Package wnpp. (Thu, 30 Jan 2014 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mattia Rizzolo <mattia@mapreri.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 30 Jan 2014 17:36:04 GMT) Full text and rfc822 format available.

Message #68 received at 490702@bugs.debian.org (full text, mbox):

From: Mattia Rizzolo <mattia@mapreri.org>
To: 562848@bugs.debian.org, 562848-submitter@bugs.debian.org, 490702@bugs.debian.org, 490702-submitter@bugs.debian.org
Subject: pencile got forked
Date: Thu, 30 Jan 2014 18:31:56 +0100
[Message part 1 (text/plain, inline)]
pencil upstream is dead, and in the current shape (last tarball is dated
2009) is unfit for release.

Nevermid, somebody made a fork, called pencil2d

http://www.pencil2d.org
https://github.com/pencil2d/pencil

I'm going to open an ITP bug for it, since I'm interested in this
software.

I think we should close this bug and continue the work in the new one.

--
regards,
						Mattia Rizzolo

GPG Key: 4096R/B9444540	http://goo.gl/I8TMB
more about me:		http://mapreri.org
Launchpad User:		https://launchpad.net/~mapreri
Ubuntu Wiki page:	https://wiki.ubuntu.com/MattiaRizzolo
[signature.asc (application/pgp-signature, inline)]

Message sent on to Janne Jokitalo <astraljava@kapsi.fi>:
Bug#490702. (Thu, 30 Jan 2014 17:36:11 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: pencil2d -- Traditional animation/drawing software' from 'RFP: pencil -- Traditional animation/drawing software' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Sun, 06 Apr 2014 20:21:26 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITP: pencil2d -- Traditional animation/drawing software' from 'RFP: pencil2d -- Traditional animation/drawing software' Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2014 13:45:06 GMT) Full text and rfc822 format available.

Owner recorded as Mattia Rizzolo <mattia@mapreri.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2014 13:45:07 GMT) Full text and rfc822 format available.

Merged 490702 562848 737154 Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2014 13:45:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:09:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.